<div class="list pt-5" *ngIf="!isLoading && orders.length">
  <nb-accordion @list>
    <nb-accordion-item
      *ngFor="let order of orders | paginate: { itemsPerPage: 10, currentPage: currentParams.page, totalItems: totalItems }"
      @items
    >
      <nb-accordion-item-header class="d-flex justify-content-between">
        <span>Order from {{ order.orderedAt | date:'medium' }}</span>
        <span class="mr-5">Total cost: {{ order.total | currency }}</span>
      </nb-accordion-item-header>
      <nb-accordion-item-body>
        <div class="d-flex">
          <nb-card class="m-3 flex-grow-1 w-50" accent="info">
            <nb-card-header>
              Order details:
            </nb-card-header>
            <nb-card-body>
              <div class="form-group d-flex align-items-center">
                <label class="label m-0">Status:</label>
                <ng-container [ngSwitch]="order.status">
                  <p *ngSwitchCase="OrderStatus.IN_DELIVERY" class="m-0"><i class="fa fa-truck mx-2"></i>In delivery</p>
                  <p *ngSwitchCase="OrderStatus.DELIVERED" class="m-0"><i class="fa fa-thumbs-up mx-2"></i>Delivered</p>
                  <p *ngSwitchCase="OrderStatus.PAID" class="m-0"><i class="fa fa-money-bill-alt mx-2"></i>Paid</p>
                  <p *ngSwitchCase="OrderStatus.UNPAID" class="m-0"><i class="fa fa-comments-dollar mx-2"></i>Unpaid</p>
                </ng-container>
              </div>
              <div class="form-group d-flex align-items-center">
                <label class="label m-0">Payment method:</label>
                <ng-container [ngSwitch]="order.paymentMethod">
                  <p *ngSwitchCase="PaymentMethod.ON_DELIVERY" class="m-0"><i class="fa fa-hand-holding-usd mx-2"></i>On delivery</p>
                  <p *ngSwitchCase="PaymentMethod.CARD" class="m-0"><i class="fa fa-credit-card mx-2"></i>Credit card</p>
                </ng-container>
              </div>
              <div class="form-group d-flex align-items-center">
                <label class="label m-0">Total price:</label>
                <p class="m-0"><i class="fa fa-money-bill-alt mx-2"></i>{{ order.total | currency }}</p>
              </div>
            </nb-card-body>
          </nb-card>

          <nb-card class="m-3 flex-grow-1 w-50" accent="info">
            <nb-card-header>
              Order composition:
            </nb-card-header>
            <nb-card-body>
              <nb-list>
                <nb-list-item *ngFor="let orderItem of order.items" class="d-flex justify-content-between">
                  <span>{{orderItem.name}}</span>
                  <span>
                    {{orderItem.count}} x {{ orderItem.price | number:'1.2-3' | currency }}= {{ (orderItem.price * orderItem.count) | currency }}
                  </span>
                </nb-list-item>
              </nb-list>
            </nb-card-body>
          </nb-card>
        </div>
      </nb-accordion-item-body>
    </nb-accordion-item>
  </nb-accordion>
  <div class="mt-5">
    <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
  </div>
</div>

<ng-container *ngIf="!isLoading && orders.length === 0">
  <nb-alert outline="info" class="mt-5">Oops! There are no orders! Try order something :)</nb-alert>
</ng-container>
